Bug 35939 - Error when creating new Xamarin.Forms Portable Library
Summary: Error when creating new Xamarin.Forms Portable Library
Status: RESOLVED FIXED
Alias: None
Product: Forms
Classification: Xamarin
Component: Android ()
Version: 1.3.3
Hardware: PC Windows
: --- normal
Target Milestone: ---
Assignee: Bugzilla
URL:
Depends on:
Blocks:
 
Reported: 2015-11-17 13:06 UTC by mitchelnijdam
Modified: 2016-04-13 19:31 UTC (History)
3 users (show)

Tags:
Is this bug a regression?: ---
Last known good build:


Attachments
Screenshot of the error after building (206.45 KB, image/png)
2015-11-17 13:06 UTC, mitchelnijdam
Details


Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.


Please create a new report on Developer Community or GitHub with your current version information, steps to reproduce, and relevant error messages or log files if you are hitting an issue that looks similar to this resolved bug and you do not yet see a matching new report.

Related Links:
Status:
RESOLVED FIXED

Description mitchelnijdam 2015-11-17 13:06:09 UTC
Created attachment 13840 [details]
Screenshot of the error after building

With a clean install of Xamarin, when I create a new Xamarin.Forms (Portable) project in Visual Studio 2015 on Windows 10 I get the following popup message:

Package Installation Error Could not add all required packages to the project. The following packages failed to install from 'C:\PROGRAM FILES (X86)\MICROSOFT VISUAL STUDIO 14.0\COMMON7\IDE\EXTENSIONS\XAMARIN\XAMARIN\3.11.15 89.0\Packages':

Xamarin.Forms.1.3.3.6323 : Could not install package 'Xamarin.Forms 1.3.3.6323'. You are trying to install this package into a project that targets '.NETPortable,Version=v4.5,Profile=Profile111', but the package does not contain any assembly references or content files that are compatible with that framework. For more information, contact the package author.


After that I get the warning:

Unexpected error - Please file a bug report at http://bugzilla.xamarin.com. Reason: System.IO.FileNotFoundException: Could not load assembly 'portable, Version=, Culture=neutral, PublicKeyToken='. Perhaps it doesn't exist in the Mono for Android profile?	portable.Droid		

When selecting the android project as Startup, I build it and I got this above warning as error, with additional errors such as: 'App.OnResume();' no suitable methods found to override.


What should I do?
Comment 1 Paul DiPietro [MSFT] 2015-11-20 15:21:24 UTC
I believe this may be related to #35952 as people are having similar issues.
Comment 2 Jason Smith [MSFT] 2016-04-13 19:31:21 UTC
This should be fixed in the latest version of the VS templates available in the Xamarin beta channel.